import { Plugin } from '../plugin';
import { Bookmark } from './bookmark';
import { BookmarkLayerBuilder } from './bookmark-layer-builder';
import { BookmarkManager } from './bookmark-manager';
export type BookmarkPluginParams = {
    bookmarks?: Bookmark[];
};
export declare class BookmarkPlugin extends Plugin<BookmarkPluginParams> {
    protected layerBuilders: (typeof BookmarkLayerBuilder)[];
    private _bookmarkManager?;
    private bookmarkSidebarItem;
    get bookmarkManager(): BookmarkManager | undefined;
    get storage(): import('../storage').StorageService<Partial<{
        [key: string]: any;
        scroll?: import('../..').ScrollMode;
        spread?: import('../..').SpreadMode;
        rotation?: number;
        page?: number;
        scale?: number | string;
        scrollTop?: number;
        scrollLeft?: number;
    }>> | undefined;
    get sidebarManager(): import('../sidebar').SidebarManager | undefined;
    protected init(): void;
    protected onLoad(): void;
    protected destroy(): void;
}
